package cz.muni.fi.pv239.cv4animace

import android.animation.AnimatorSet
import android.animation.ObjectAnimator
import android.animation.ValueAnimator
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.view.animation.BounceInterpolator
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

	override fun onCreate(savedInstanceState: Bundle?) {
		super.onCreate(savedInstanceState)
		setContentView(R.layout.activity_main)

		val valueAnimator = ValueAnimator.ofInt(1, 1000)
		valueAnimator.duration = 5000
		valueAnimator.interpolator = BounceInterpolator()
		valueAnimator.addUpdateListener {
			main_counter.text = valueAnimator.animatedValue.toString()
		}

		val sizeAnimator = ObjectAnimator.ofFloat(main_counter, "textSize", 10f, 30f)
		sizeAnimator.duration = 5000

		val set = AnimatorSet()
		set.playTogether(listOf(valueAnimator, sizeAnimator))
		set.start()
	}
}
